Subject: Re: status of mpc52xx with arch=powerpc?

From: Sascha Hauer <[email-masked]>
Date: Thu, 19 Oct 2006 16:17:14 +0200

On Thu, Oct 19, 2006 at 11:49:07AM +0200, Roman Fietze wrote:
> Hello,
> 
> On Thursday 19 October 2006 10:13, Sascha Hauer wrote:
> 
> > Could you post your .dts?
> > I'm too working on it, so maybe we should stay synchronized. At the
> > moment I have nothing but a minimal dts and some .progress() messages.
> 
> Could you both double check e.g. with Sylvain Munaut at
> 
>   http://246tnt.com/mpc52xx/

I have his tree here and and it does not seem to contain bits for
mpc52xx with arch=powerpc (unless there are some git-secrets I'm not
aware of)

> 
> There are many drivers (git heads) available already, including IDE,
> FEC, and so on. There's also new BestComm/FEC/IDE code from Dale
> Farnsworth and John Rigby (Freescale) somewhere on the net.
> 

We have these drivers running already with arch=ppc. I have not looked
into it deeper, but I think (well, hope) they only need minor changes
like a transition from platform_device to of_device.

I just received a patch from nicolas det with a port from ppc to
powerpc, I'll have a look at it. He posted it on linuxppc-dev

Sascha

-- 
 Dipl.-Ing. Sascha Hauer | http://www.pengutronix.de
  Pengutronix - Linux Solutions for Science and Industry
    Handelsregister: Amtsgericht Hildesheim, HRA 2686
      Hannoversche Str. 2, 31134 Hildesheim, Germany
    Phone: +49-5121-206917-0 |  Fax: +49-5121-206917-9